//---------------------------------------------------------------------------
#ifndef CommonH
#define CommonH
//---------------------------------------------------------------------------
const int MAXPLAYERCOUNT = 2;

const int PADID_LEFT = 0;
const int PADID_RIGHT = 1;
const int PADID_UP = 2;
const int PADID_DOWN = 3;
const int PADIDCOUNT = PADID_DOWN - PADID_LEFT + 1;
const int PADKEYS[MAXPLAYERCOUNT][PADIDCOUNT] = {{VK_LEFT, VK_RIGHT, VK_UP, VK_DOWN},
	{'A', 'D', 'W', 'S'}};

const int SOUNDID_CAKE = 0;
const int SOUNDID_STAMP = 1;
const int SOUNDID_GELATO = 2;
const int SOUNDID_CORRISION = 3;
const int SOUNDID_BACK = 4;
const int SOUNDID_GAMEOVER = 5;
const int SOUNDIDCOUNT = SOUNDID_GAMEOVER - SOUNDID_CAKE + 1;
const AnsiString SOUNDPATH = ExtractFilePath(Application->ExeName) + "Sound\\";
const AnsiString SOUNDFILENAMES[SOUNDIDCOUNT] = {"Cake.wav", "Stamp.wav",
	"Gelato.wav", "Corrision.wav", "Back.wav", "GameOver.wav"};

const int UNITW = 16;
const int UNITH = 16;
const int GRIDW = 21;
const int GRIDH = 19;
const TRect GROUNDR(0, 0, UNITW * GRIDW, UNITH * GRIDH);
const TRect STATUSR(GROUNDR.left, GROUNDR.bottom, GROUNDR.right, GROUNDR.bottom + 24);
const TRect SCRR(0, 0, STATUSR.right, STATUSR.bottom);

const int IMAGETABLE[] = {
	0, 1, 3, 0, 0, 0, 0, 0, 0, 0,  // walls
	6, 7, 8, 0, 0, 0, 0, 0, 0, 0,  // player 1
	9, 10, 11, 0, 0, 0, 0, 0, 0, 0,  // player 2
	3, 4, 5, 0, 0, 0, 0, 0, 0, 0,  // targets
	2, 0, 0, 0, 0, 0, 0, 0, 0, 0};  // home
//---------------------------------------------------------------------------
#endif

