//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <mmsystem.h>
#include "TGameTimer.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TGameTimer
//---------------------------------------------------------------------------
// private
//---------------------------------------------------------------------------
void __fastcall TGameTimer::DoTimer()
{
	if(FOnTimer == NULL) return;

	FOnTimer(this);
}
//---------------------------------------------------------------------------
// public
//---------------------------------------------------------------------------
__fastcall TGameTimer::TGameTimer(unsigned int AInterval, TNotifyEvent AOnTimer) :
	TThread(true), FInterval(AInterval), FOnTimer(AOnTimer)
{
	FreeOnTerminate = false;
}
//---------------------------------------------------------------------------
void __fastcall TGameTimer::Execute()
{
	try {
		// loop
		DWORD endTime = timeGetTime() + FInterval;
		DWORD gap;
		while(!Terminated) {
			Synchronize(DoTimer);

			while((gap = endTime - timeGetTime()) < FInterval)
				Sleep(gap / 2);
			endTime += ((timeGetTime() - endTime) / FInterval + 1) * FInterval;
		}
	}
	catch(...) {}
}
//---------------------------------------------------------------------------

